The BOOST_PP_RELATIVE_FLAGS macro expands to the flags associated with a file-iteration depth relative to the current depth.

#### Usage

BOOST_PP_RELATIVE_FLAGS(i)

#### Arguments

i
  The relative depth of the frame whose flags are to be retreived. Valid values range from 0 to BOOST_PP_ITERATION_DEPTH() - 1.

#### Remarks

This macro is only valid when a file-iteration is in progress.
The argument i is interpreted as the number of frames outward from the current frame.

#### Requirements

Header: <boost/preprocessor/iteration/iterate.hpp>